:root {
	--primary-home: #8bc641;
}

.bg-home {
	background-color: #8bc34a !important;
}

.mt-n1 {
	margin-top: -0.25rem !important;
}
.mt-n2 {
	margin-top: -0.5rem !important;
}
.mt-n3 {
	margin-top: -1rem !important;
}
.mt-n4 {
	margin-top: -1.5rem !important;
}
.mt-n5 {
	margin-top: -3rem !important;
}

.text-home {
	color: #8bc34a !important;
}

.text-shadow {
	/* text-shadow: 5px 5px 3px rgba(0, 0, 0, 0.2); */
	text-shadow: 0px 4px 3px rgba(0, 0, 0, 0.4), 0px 8px 13px rgba(0, 0, 0, 0.1),
		0px 18px 23px rgba(0, 0, 0, 0.1);
}

.page-item.active .page-link {
	background-color: #8bc34a !important;
	border-color: #108140;
}

.logoAbout {
	max-height: 500px;
	max-width: 500px;
	width: auto;
	height: auto;
	position: absolute;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0;
	margin: auto;
}

@media (min-width: 768px) {
	.projectSlider .slick-prev {
		left: -40px !important;
	}

	.projectSlider .slick-next {
		right: -28px !important;
	}
}

@media (max-width: 1005px) {
	.bg-shake-hands,
	.bg-hands {
		background-position: center !important;
		background-attachment: scroll !important;
		background-size: cover;
	}
}

@media (max-width: 768px) {
	.icon-bar,
	.addressTop {
		display: none;
	}

	.logoAbout {
		max-height: 250px;
		max-width: 250px;
	}

	.img-detail-product,
	.img-detail-product img {
		height: 250px !important;
	}
	.projectSlider .slick-prev {
		left: 2px !important;
		z-index: 999;
	}

	.projectSlider .slick-next {
		right: 12px !important;
	}

	.home-project-catalog img {
		min-width: 500px;
	}

	.bg-page,
	.bg-cambridge,
	.bg-marathon,
	.bg-decra,
	.bg-palmex,
	.bg-lj,
	.bg-duo,
	.bg-truss,
	.bg-shake-hands,
	.bg-hands {
		background-position: center !important;
		background-attachment: scroll !important;
		background-size: cover;
	}

	.navISO {
		display: none;
	}

	.shake-hands-desc {
		padding-top: 0% !important;
	}
}

.shake-hands-desc {
	top: 0;
	left: 0;
	padding-top: 25%;
	text-align: center;
}

.limit-text {
	height: 25px;
	-o-object-fit: cover;
	object-fit: cover;
	-o-object-position: center;
	object-position: center;
	overflow: hidden;
	text-overflow: ellipsis;
	display: -webkit-box;
	-webkit-line-clamp: 1; /* number of lines to show */
	line-clamp: 1;
	-webkit-box-orient: vertical;
}

.home-gallery {
	height: 350px !important;
}

.slick-prev:before,
.slick-next:before {
	color: #8bc34a !important;
}

.product-items a.active {
	color: #8bc34a;
	background-color: transparent !important;
}

.dropdown-item:hover {
	color: #8bc34a !important;
}

.text-home {
	color: var(--primary-home);
}

.text-hov-white:hover {
	color: #fff !important;
	transition: 0.5s;
}
.text-hov-black:hover {
	color: #000 !important;
	transition: 0.5s;
}

.card-img-wrap .img-title {
	transition: transform 0.5s;
	height: 250px;
	width: 100%;
	-o-object-fit: cover;
	object-fit: cover;
	-o-object-position: center;
	object-position: center;
}

.about-image img {
	cursor: pointer;
	overflow: hidden;
	width: 100%;
	height: 150px;
	-o-object-fit: cover;
	object-fit: cover;
	-o-object-position: center;
	object-position: center;
	transition: all 0.5s;
}

.about-image:hover img {
	transform: scale(1.2);
}

.about-image-wrap {
	overflow: hidden;
}

.projectSlider {
	transition: all 0.4s;
}

.home-project-catalog img {
	overflow: hidden;
	height: 500px;
	margin-right: 5px;
	transform: scale(1);
	transition: all 0.4s;
}

.home-project-catalog img:hover {
	opacity: 1;
	transform: scale(1.02);
}

.projectSlider:hover img:not(:hover) {
	opacity: 0.5;
	transform: scale(0.9);
}

.home-logo {
	margin: 0 0 30px;
	border: 1px solid #dadada;
	height: 150px;
	padding: 0 30px;
	display: flex;
	flex-direction: column;
	justify-content: center;
	align-items: center;
	align-content: center;
	transition: 0.3s ease-in-out;
}

.home-logo:hover {
	box-shadow: 9px 9px 10px rgba(0, 0, 0, 0.1);
}

.home-logo:hover img {
	-webkit-animation: shake 0.2s;
	animation: shake 0.2s;
	-webkit-animation-iteration-count: 3;
	animation-iteration-count: 3;
	/* -webkit-filter: grayscale(0%);
filter: grayscale(0%); */
}

.product-logo {
	transition: all 1s ease;
	opacity: 0;
	transform: translate(0px, -100px);
}

.product-logo-show {
	transform: translate(0, 0);
	opacity: 1;
}

@-webkit-keyframes shake {
	0% {
		transform: rotate(0deg);
	}
	25% {
		transform: rotate(3deg);
	}
	50% {
		transform: rotate(0eg);
	}
	75% {
		transform: rotate(-3deg);
	}
	100% {
		transform: rotate(0deg);
	}
}

@keyframes shake {
	0% {
		transform: rotate(0deg);
	}
	25% {
		transform: rotate(3deg);
	}
	50% {
		transform: rotate(0eg);
	}
	75% {
		transform: rotate(-3deg);
	}
	100% {
		transform: rotate(0deg);
	}
}

.img-fit {
	-o-object-fit: cover;
	object-fit: cover;
	-o-object-position: center;
	object-position: center;
}

.slick-arrow:before {
	font-size: 5vh !important;
}

.carousel-product .slick-prev {
	left: -10px !important;
	z-index: 999;
}
.carousel-product .slick-next {
	right: -5px !important;
}

.home-recent-posts {
	overflow: hidden;
	cursor: pointer;
	transition: all 0.5s;
}

.home-recent-posts .img-title {
	overflow: hidden;
	max-height: 100%;
	transition: all 0.5s;
}

.home-recent-posts:hover {
	background-color: #23282d;
	color: #fff !important;
}

.home-recent-posts:hover a {
	color: #8bc34a !important;
}

.home-recent-posts:hover .img-title {
	transform: scale(1.1);
}

.show > .btn-primary.dropdown-toggle {
	background-color: #111;
}

.img-wrap {
	-o-object-fit: cover;
	object-fit: cover;
	-o-object-position: center;
	object-position: center;
}

.list-product-catalog {
	cursor: pointer;
	box-shadow: 11px 10px 19px rgba(0, 0, 0, 0.12);
	transition: all 0.5s;
}

.list-product-catalog:hover {
	background-color: #23282d;
	transform: translate(-2px, -5px);
}

.list-product-catalog:hover * {
	color: #8bc34a !important;
}

.list-product-catalog img {
	height: 200px;
}

.img-detail-product,
.img-detail-product img {
	height: 400px;
}

#btnSong {
	background: #8bc34a;
	background: linear-gradient(to right, #008001, #8bc34a, #4f772d);
	background-size: 400% 400%;
	-webkit-animation: songEffects 2s ease infinite;
	animation: songEffects 2s ease infinite;
}

@-webkit-keyframes songEffects {
	0% {
		background-position: 0% 50%;
	}

	50% {
		color: black;
		background-position: 100% 50%;
	}

	100% {
		color: white;
		background-position: 0% 50%;
	}
}

@keyframes songEffects {
	0% {
		background-position: 0% 50%;
	}

	50% {
		color: black;
		background-position: 100% 50%;
	}

	100% {
		color: white;
		background-position: 0% 50%;
	}
}

.page-slider {
	overflow: hidden;
	max-height: 400px;
}

.page-slider img {
	-o-object-fit: cover !important;
	object-fit: cover !important;
	-o-object-position: center !important;
	object-position: center !important;
}

.btn-primary:focus,
.btn-primary.focus,
.btn-primary.active,
.btn-primary:not(:disabled):not(.disabled):active,
.btn-primary:not(:disabled):not(.disabled).active,
.show > .btn-primary.dropdown-toggle {
	background-color: #111 !important;
}

.gallery-catalog {
	-webkit-filter: brightness(90%);
	cursor: pointer;
	transition: all 0.5s ease;
}

.gallery-catalog:hover {
	-webkit-filter: brightness(100%);
	transform: translate(0, -5px);
	background-color: #80b445;
}

.img-project-catalog {
	overflow: hidden;
	-webkit-filter: brightness(75%);
	transition: all 0.5s ease;
}

.img-project-catalog:hover {
	-webkit-filter: brightness(100%);
}

.img-project-catalog img {
	min-height: 200px;
	overflow: hidden;
	-o-object-fit: cover;
	object-fit: cover;
	-o-object-position: center;
	object-position: center;
}

.list-project-catalog {
	cursor: pointer;
	box-shadow: 10px 10px 25px 0px rgba(0, 0, 0, 0.28);
	transition: all 0.5s;
}

.icon-bar {
	position: fixed;
	float: right !important;
	top: 50%;
	right: 12.5px;
	transform: translateY(-50%);
	z-index: 9997;
	display: none;
}

.icon-bar a {
	display: block;
	text-align: center;
	padding: 11px;
	margin: 5px 0;
	border-radius: 50%;
	transition: all 0.3s ease;
	color: white;
	font-size: 20.5px;
	opacity: 0.8;
}

.icon-bar a:hover {
	opacity: 1;
}

.facebook {
	background: #3b5998;
	color: white;
}

.twitter {
	background: #55acee;
	color: white;
}

.youtube {
	background: #ff0000;
	color: white;
}

.song {
	background: #143601;
	color: white;
}

.instagram {
	background: #f09433;
	background: linear-gradient(
		45deg,
		#f09433 0%,
		#e6683c 25%,
		#dc2743 50%,
		#cc2366 75%,
		#bc1888 100%
	);
	filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#f09433', endColorstr='#bc1888', GradientType=1);
}

#module a.collapsed::after {
	font-size: 12px;
	content: "+ Read more";
}

#module a:not(.collapsed)::after {
	font-size: 12px;
	content: "- Hide";
}

.project-item-info-text {
	opacity: 1;
	transform: perspective(1px) translate3d(0, 0, 0);
}

.project-item-info-text .project-cat {
	background: var(--primary-home);
	display: inline-block;
	padding: 2px 8px;
	font-weight: 700;
	color: #000;
	font-size: 10px;
	text-transform: uppercase;
}

.highlight.border {
	text-transform: none;
	background: none;
	border: 2px solid var(--primary-home) !important;
}

.highlight.border:hover {
	background: var(--primary-home);
	border: 2px solid transparent;
}

.loader-frame {
	height: 100vh;
	width: 100%;
	position: fixed;
	background: #000;
	z-index: 9999;
	opacity: 0.95;
}

.loader {
	z-index: 9999;
	width: 48px;
	height: 48px;
	display: inline-block;
	position: relative;
	transform: rotate(45deg);
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%);
}
.loader::before {
	content: "";
	box-sizing: border-box;
	width: 24px;
	height: 24px;
	position: absolute;
	left: 0;
	bottom: 0;
	top: -24px;
	-webkit-animation: animloader 4s ease infinite;
	animation: animloader 4s ease infinite;
}
.loader::after {
	content: "";
	box-sizing: border-box;
	position: absolute;
	left: 0;
	bottom: 0;
	top: 0;
	width: 24px;
	height: 24px;
	background: rgba(255, 255, 255, 0.85);
	box-shadow: 0 0 10px rgba(0, 0, 0, 0.15);
	-webkit-animation: animloader2 4s ease infinite;
	animation: animloader2 4s ease infinite;
}

@-webkit-keyframes animloader {
	0% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px rgba(255, 255, 255, 0),
			24px 48px rgba(255, 255, 255, 0), 0px 48px rgba(255, 255, 255, 0);
	}
	12% {
		box-shadow: 0 24px #8bc34a, 24px 24px rgba(255, 255, 255, 0),
			24px 48px rgba(255, 255, 255, 0), 0px 48px rgba(255, 255, 255, 0);
	}
	25% {
		box-shadow: 0 24px #8bc34a, 24px 24px #8bc34a,
			24px 48px rgba(255, 255, 255, 0), 0px 48px rgba(255, 255, 255, 0);
	}
	37% {
		box-shadow: 0 24px #8bc34a, 24px 24px #8bc34a, 24px 48px #8bc34a,
			0px 48px rgba(255, 255, 255, 0);
	}
	50% {
		box-shadow: 0 24px #8bc34a, 24px 24px #8bc34a, 24px 48px #8bc34a,
			0px 48px #8bc34a;
	}
	62% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px #8bc34a,
			24px 48px #8bc34a, 0px 48px #8bc34a;
	}
	75% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px rgba(255, 255, 255, 0),
			24px 48px #8bc34a, 0px 48px #8bc34a;
	}
	87% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px rgba(255, 255, 255, 0),
			24px 48px rgba(255, 255, 255, 0), 0px 48px #8bc34a;
	}
	100% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px rgba(255, 255, 255, 0),
			24px 48px rgba(255, 255, 255, 0), 0px 48px rgba(255, 255, 255, 0);
	}
}

@keyframes animloader {
	0% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px rgba(255, 255, 255, 0),
			24px 48px rgba(255, 255, 255, 0), 0px 48px rgba(255, 255, 255, 0);
	}
	12% {
		box-shadow: 0 24px #8bc34a, 24px 24px rgba(255, 255, 255, 0),
			24px 48px rgba(255, 255, 255, 0), 0px 48px rgba(255, 255, 255, 0);
	}
	25% {
		box-shadow: 0 24px #8bc34a, 24px 24px #8bc34a,
			24px 48px rgba(255, 255, 255, 0), 0px 48px rgba(255, 255, 255, 0);
	}
	37% {
		box-shadow: 0 24px #8bc34a, 24px 24px #8bc34a, 24px 48px #8bc34a,
			0px 48px rgba(255, 255, 255, 0);
	}
	50% {
		box-shadow: 0 24px #8bc34a, 24px 24px #8bc34a, 24px 48px #8bc34a,
			0px 48px #8bc34a;
	}
	62% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px #8bc34a,
			24px 48px #8bc34a, 0px 48px #8bc34a;
	}
	75% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px rgba(255, 255, 255, 0),
			24px 48px #8bc34a, 0px 48px #8bc34a;
	}
	87% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px rgba(255, 255, 255, 0),
			24px 48px rgba(255, 255, 255, 0), 0px 48px #8bc34a;
	}
	100% {
		box-shadow: 0 24px rgba(255, 255, 255, 0), 24px 24px rgba(255, 255, 255, 0),
			24px 48px rgba(255, 255, 255, 0), 0px 48px rgba(255, 255, 255, 0);
	}
}

@-webkit-keyframes animloader2 {
	0% {
		transform: translate(0, 0) rotateX(0) rotateY(0);
	}
	25% {
		transform: translate(100%, 0) rotateX(0) rotateY(180deg);
	}
	50% {
		transform: translate(100%, 100%) rotateX(-180deg) rotateY(180deg);
	}
	75% {
		transform: translate(0, 100%) rotateX(-180deg) rotateY(360deg);
	}
	100% {
		transform: translate(0, 0) rotateX(0) rotateY(360deg);
	}
}

@keyframes animloader2 {
	0% {
		transform: translate(0, 0) rotateX(0) rotateY(0);
	}
	25% {
		transform: translate(100%, 0) rotateX(0) rotateY(180deg);
	}
	50% {
		transform: translate(100%, 100%) rotateX(-180deg) rotateY(180deg);
	}
	75% {
		transform: translate(0, 100%) rotateX(-180deg) rotateY(360deg);
	}
	100% {
		transform: translate(0, 0) rotateX(0) rotateY(360deg);
	}
}

::-webkit-scrollbar {
	height: 2px;
	width: 7px;
}

::-webkit-scrollbar-track {
	border-radius: 10px;
	background: #cacaca;
}

::-webkit-scrollbar-thumb {
	background: #23282d;
	box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
	-webkit-box-shadow: inset 0 0 6px rgba(0, 0, 0, 0.5);
}

::-webkit-scrollbar-thumb:window-inactive {
	background: #23282d;
}

